Name:                    gupnp-dlna
Version:                 0.12.0
Release:                 1
Summary:                 A collection of helpers applications for building UPnP AV
License:                 LGPLv2+
URL:                     http://www.gupnp.org/
Source0:                 http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.12/%{name}-%{version}.tar.xz

BuildRequires:           glib2-devel gobject-introspection-devel gssdp-devel gstreamer1-plugins-base-devel
BuildRequires:           gupnp-devel gupnp-av-devel libxml2-devel vala gtk-doc gstreamer1-devel meson

%description
GUPnP is an open source framework for creating general-purpose plug-and-play devices
and control points,written in C,using GObject and libsoup,with the goal of being easy
to use and efficient and flexible.

GUPnP is a group of assistants for building DLNA(Digital Living Network Alliance)

%package devel
Summary:                 Development the gupnp-dlna package
Requires:                gupnp-dlna = %{version}-%{release}

%description devel
Libraries and header files required for application development using gunp-dlna.

%package help
Summary:                 Development the gupnp-dlna package
Requires:                gupnp-dlna = %{version}-%{release}
Provides:                gupnp-dlna-docs = %{version}-%{release}
Obsoletes:               gupnp-dlna-docs < %{version}-%{release}
BuildArch:               noarch

%description help
Provides the developer documentation for gupnp-dlna.

%prep
%autosetup -n gupnp-dlna-%{version} -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install
%delete_la

%check
%meson_test

%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%license COPYING
%{_bindir}/gupnp-dlna*
%{_libdir}/lib*.so.*
%{_libdir}/gupnp-dlna/libgstreamer.so
%{_libdir}/girepository-1.0/{GUPnPDLNA-2.0.typelib,GUPnPDLNAGst-2.0.typelib}
%{_datadir}/gupnp-dlna-2.0/

%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/{gupnp-dlna-2.0.pc,gupnp-dlna-gst-2.0.pc,gupnp-dlna-metadata-2.0.pc}
%{_datadir}/gir-1.0/{GUPnPDLNA-2.0.gir,GUPnPDLNAGst-2.0.gir}
%{_includedir}/gupnp-dlna-2.0/
%{_datadir}/vala/vapi/gupnp-dlna*

%files help
%doc AUTHORS README TODO
%{_datadir}/gtk-doc/html/{gupnp-dlna,gupnp-dlna-gst,gupnp-dlna-metadata}

%changelog
* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 0.12.0-1
- Update to 0.12.0

* Thu Apr 16 2020 yaokai<yaokai13@huawei.com> - 0.10.5-10
- Package init
